# -*- coding=utf8 -*-
#******************************************************************************
# addon.py
#------------------------------------------------------------------------------
#
# Copyright (c) 2013-2015 LivingOn <LivingOn@xmail.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#******************************************************************************
import sys
import xbmcgui
import xbmcaddon
import xbmcplugin

from resources.lib.Playlist import Playlist

class IjonTichy(object):
    
    PLUGIN_NAME = "plugin.video.ijon-tichy"
    
    _plugin_id      = None
    _addon          = None
    
    def __init__(self):
        self._register_addon()
        self._create_movie_list()
        
    def _register_addon(self):
        self._plugin_id = int(sys.argv[1])
        self._addon = xbmcaddon.Addon(id = self.PLUGIN_NAME)
 
    def _create_movie_list(self):
        for (title, url, thumb) in Playlist():
            item = xbmcgui.ListItem(title, iconImage=thumb)
            item.setProperty("IsPlayable", "true")
            xbmcplugin.addDirectoryItem(self._plugin_id, url, item)
        xbmcplugin.endOfDirectory(self._plugin_id)
            
if __name__ == "__main__":
    IjonTichy()
                